#!/bin/bash

#split word-wise and lowercase file 1
while read line || [[ -n "$line" ]]
do
	for word in $line
	do
		echo $word | tr "\200-\377" "\000-\177" | awk '{print tolower($0)}'
	done
done < "$1" > temp

#split word-wise and lowercase file 2
while read line || [[ -n "$line" ]]
do
	for word in $line
	do
		echo $word | tr "\200-\377" "\000-\177" | awk '{print tolower($0)}'
	done
done < "$2" >> temp

#split word-wise and lowercase file 3
while read line || [[ -n "$line" ]]
do
	for word in $line
	do
		echo $word | tr "\200-\377" "\000-\177" | awk '{print tolower($0)}'
	done
done < "$3" >> temp

#remove punctuations
sed -e 's/^[[:punct:]][[:punct:]]*//g' temp | 
sed -e 's/[[:punct:]][[:punct:]]*$//g' | 
sed -e 's/[,\.!?;]*//g' |
grep -v -e '^[[:space:]]*$' |

#sort
sort > temp1
rm temp 
sed -i 's/^/\ /g' temp1
sed -i 's/$/\ /g' temp1
sed -i 's/\r//g' temp1

TOTALCOUNT=$(wc -l < temp1)


#remove repetitions
prevword=NULL
while read line || [[ -n "$line" ]]
do
	if [[ $line == $prevword ]]
		then
		prevword=$line
	else
		count=$(grep -c " $prevword " temp1)
		fraction="$count/$TOTALCOUNT"
		fractionprint=$(echo $fraction | bc -l)
		echo $prevword,$fractionprint
		prevword=$line
	fi
done < temp1 > temp2
count=$(grep -c " $prevword " temp1)
fraction="$count/$TOTALCOUNT"
fractionprint=$(echo $fraction | bc -l)
echo "$prevword,$fractionprint" >> temp2


tail -n +2 temp2